org.apache.tinkerpop.gremlin.algorithm.generator

## Class CommunityGeneratorTest.ProcessorTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.algorithm.generator.CommunityGeneratorTest.ProcessorTest

- Enclosing class:
    CommunityGeneratorTest

      public static class CommunityGeneratorTest.ProcessorTest
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessorTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterLoadGraphWith(Graph graph)`
    `void` | `shouldProcessVerticesEdges()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessorTest

          public ProcessorTest()

  - ### Method Detail

    - #### shouldProcessVerticesEdges

          public void shouldProcessVerticesEdges()

    - #### afterLoadGraphWith

          protected void afterLoadGraphWith(Graph graph)
                                     throws Exception

      Overrides:
        `afterLoadGraphWith` in class `AbstractGremlinTest`
      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.